peoSeqPopEval(3)

NAME
peoSeqPopEval - The peoSeqPopEval class acts only as a ParadisEO specific sequential evaluation functor - a wrapper for incorporating an eoEvalFunc< EOT >-derived class as evaluation functor.

SYNOPSIS

#include <peoSeqPopEval.h>

Inherits peoPopEval< EOT >< EOT >.

  Public Member Functions
peoSeqPopEval (eoEvalFunc< EOT > &__eval)
Constructor function - it only sets an internal reference to point to the specified evaluation object.
void operator() (eoPop< EOT > &__pop)
Operator for evaluating all the individuals of a given population - in a sequential iterative manner.

  Private Attributes
eoEvalFunc< EOT > & eval

Detailed Description

  template<class EOT> class peoSeqPopEval< EOT >
The peoSeqPopEval class acts only as a ParadisEO specific sequential evaluation functor - a wrapper for incorporating an eoEvalFunc< EOT >-derived class as evaluation functor. The specified EO evaluation object is applyied in an iterative manner to each individual of a specified population.

Definition at line 36 of file peoSeqPopEval.h.

Constructor & Destructor Documentation

  template<class EOT> peoSeqPopEval< EOT >::peoSeqPopEval (eoEvalFunc< EOT > & __eval)

Constructor function - it only sets an internal reference to point to the specified evaluation object.

Parameters:
    eoEvalFunc< EOT >& __eval - evaluation object to be applied for each individual of a specified population

Definition at line 56 of file peoSeqPopEval.h.

Member Function Documentation

  template<class EOT> void peoSeqPopEval< EOT >::operator() (eoPop< EOT > & __pop) [virtual]

Operator for evaluating all the individuals of a given population - in a sequential iterative manner.

Parameters:
    eoPop< EOT >& __pop - population to be evaluated.

Implements peoPopEval< EOT >.

Definition at line 61 of file peoSeqPopEval.h.

References peoSeqPopEval< EOT >::eval.

Author

Generated automatically by Doxygen for ParadisEO from the source code.